Skip to main content
GET
List Extractions

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Query Parameters

ids
string[] | null

Filter by extraction IDs (job IDs)

created_at_start
string<date-time> | null

Filter by creation time (start)

created_at_end
string<date-time> | null

Filter by creation time (end)

completed_at_start
string<date-time> | null

Filter by completion time (start)

completed_at_end
string<date-time> | null

Filter by completion time (end)

source_id
string | null

Filter by source ID (parse result ID or vector store ID)

page_size
integer | null

Number of items per page

Required range: 1 <= x <= 100
sort_by
string | null

Field to sort by

sort_order
enum<string> | null

Sort order (asc or desc) Enum for project sort fields. Note that only non-nullable fields can be sorted by (for details, see: https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations ).

Available options:
asc,
desc
continuation_token
string | null

Pagination token

Response

Successful Response

items
ExtractionEntity · object[]
required
total_count
integer
required
next_token
string | null
prev_token
string | null